<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
				xmlns:s="http://jboss.org/schema/seam/taglib"
				xmlns:h="http://java.sun.com/jsf/html"
				xmlns:a4j="http://richfaces.org/a4j"
				xmlns:f="http://java.sun.com/jsf/core"
				xmlns:gri="http://java.sun.com/jsf/composite/gri"
				xmlns:rich="http://richfaces.org/rich"
				xmlns:gdk="http://www.ihe.net/gazellecdk"
				xmlns="http://www.w3.org/1999/xhtml">
	<!-- PARAMETERS -->
	<s:div id="parametersDiv">
		<gri:panel
			rendered="#{(commonRDSManagerBean.selectedConfiguration != null)}">
			<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.RequestParameters']}</f:facet>
			<br />
			<br />
			<table width="100%">
				<tr valign="top">
					<td width="25%" valign="top"><h:panelGrid columns="3">
							<h:outputText
								value="#{messages['net.ihe.gazelle.xdstar.RetrieveDocumentSetRequest']} "
								style="font-weight:bold;" />
							<gdk:spacer width="5" />
							<a4j:commandLink
								title="#{messages['net.ihe.gazelle.xdstar.AddNewDocumentRequest']}"
								actionListener="#{commonRDSManagerBean.addDocumentRequest()}"
								execute="@form"
								render="toptop,datalist">
								<span class="gzl-icon-plus"/>
							</a4j:commandLink>
						</h:panelGrid>
						<rich:list id="datalist" var="docreq"
							value="#{commonRDSManagerBean.selectedRetrieveDocumentSetRequest.documentRequest}"
							rowKeyVar="key" type="unordered">
							<h:panelGrid columns="3">
								<a4j:commandLink
									rendered="#{commonRDSManagerBean.selectedDocumentRequest.equals(docreq)}"
									actionListener="#{commonRDSManagerBean.setSelectedDocumentRequest(docreq)}"
									style="font-weight:bold;"
									value="#{messages['net.ihe.gazelle.xdstar.DocumentRequest']} #{key + 1}"
									render="toptop,datalist" />
								<a4j:commandLink
									rendered="#{!commonRDSManagerBean.selectedDocumentRequest.equals(docreq)}"
									actionListener="#{commonRDSManagerBean.setSelectedDocumentRequest(docreq)}"
									value="#{messages['net.ihe.gazelle.xdstar.DocumentRequest']} #{key + 1}"
									render="toptop,datalist" />
								<gdk:spacer width="5" />
								<a4j:commandLink
									title="#{messages['net.ihe.gazelle.xdstar.DeleteThisDocumentRequest']}"
									actionListener="#{commonRDSManagerBean.deleteDocumentRequest(docreq)}"
									execute="@this"
									render="datalist,toptop">
									<span class="gzl-icon-trash-o"/>
								</a4j:commandLink>
							</h:panelGrid>
						</rich:list></td>
					<td valign="top">
					<s:div id="toptop">
						<div class="form-horizontal">
							<s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
								<ui:param name="id" value="repositoryUniqueId"/>
								<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.RepositoryUniqueId_2']}</ui:define>
								<h:inputText id="repositoryUniqueId" value="#{commonRDSManagerBean.selectedDocumentRequest.repositoryUniqueId}"
											 required="true" styleClass="form-control"/>
							</s:decorate>
							<s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
								<ui:param name="id" value="documentUniqueId"/>
								<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.DocumentUniqueId']}</ui:define>
								<h:inputText id="documentUniqueId" value="#{commonRDSManagerBean.selectedDocumentRequest.documentUniqueId}"
											 required="true" styleClass="form-control"/>
							</s:decorate>
							<s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
								<ui:param name="id" value="homeCommunityId"/>
								<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.HomeCommunityId_2']}</ui:define>
								<h:inputText id="homeCommunityId"
											 value="#{commonRDSManagerBean.selectedDocumentRequest.homeCommunityId}"
											 styleClass="form-control"/>
							</s:decorate>
						</div>
					</s:div>
					</td>
				</tr>
			</table>
		</gri:panel>
	</s:div>
</ui:composition>
